Skip to content

bank-accounts​


Update bank account​

PATCH
/accounts/{accountUuid}/finances/v2/bank-accounts/{bankAccountUuid}

Update a bank account for an account

Authorizations​

ApiToken

Bearer token authentication. Create tokens in Settings > API Token.

Type
HTTP (bearer)

Parameters​

Path Parameters

accountUuid*
Type
string
Required
Format
"uuid"
bankAccountUuid*
Type
string
Required
Format
"uuid"

Request Body​

application/json
JSON
{
  
"name": "string",
  
"bankName": "string",
  
"bankAddress": "string",
  
"bankCity": "string",
  
"iban": "string",
  
"bic": "string",
  
"currencyCode": "CHF",
  
"qrBill": {
  
  
"active": false,
  
  
"qrIban": "string",
  
  
"besrId": "string"
  
},
  
"isActive": true,
  
"isDefault": false,
  
"paymentOrderExportStatusSetting": "FINISHED",
  
"eBankingImportSetting": "ALL",
  
"eBankingImportPayrolls": true,
  
"eBankingImportCollectivePayments": true
}

Responses​

Successful response

application/json
JSON
{
  
"data": {
  
  
"uuid": "string",
  
  
"name": "string",
  
  
"bankName": "string",
  
  
"bankAddress": "string",
  
  
"bankCity": "string",
  
  
"iban": "string",
  
  
"bic": "string",
  
  
"currencyCode": "string",
  
  
"qrBill": {
  
  
  
"active": true,
  
  
  
"qrIban": "string",
  
  
  
"besrId": "string"
  
  
},
  
  
"isActive": true,
  
  
"isDefault": true,
  
  
"bankId": 0,
  
  
"bankLastSync": "string",
  
  
"bankSyncStatus": "string",
  
  
"bankConnectionType": "string",
  
  
"accAccountUuid": "string",
  
  
"paymentOrderExportStatusSetting": "string",
  
  
"eBankingImportSetting": "string",
  
  
"eBankingImportPayrolls": true,
  
  
"eBankingImportCollectivePayments": true,
  
  
"id": 0
  
},
  
"status": 200,
  
"message": "string",
  
"meta": {
  
}
}

Playground​

Authorization
Variables
Key
Value
Body

Samples​